## linux 6.1.139

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 1
SUBLEVEL = 139
EXTRAVERSION =
NAME = Curry Ramen

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
# If KBUILD_VERBOSE equals 2 then give the reason why each target is rebuilt.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
KBUILD_VERBOSE = 0
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# Do we want to change the working directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifneq ($(KBUILD_OUTPUT),)
# Make's built-in functions such as $(abspath ...), $(realpath ...) cannot
# expand a shell special character '~'. We use a somewhat tedious way here.
abs_objtree := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) && pwd)
$(if $(abs_objtree),, \
     $(error failed to create output directory "$(KBUILD_OUTPUT)"))

# $(realpath ...) resolves symlinks
abs_objtree := $(realpath $(abs_objtree))
else
abs_objtree := $(CURDIR)
endif # ifneq ($(KBUILD_OUTPUT),)

ifeq ($(abs_objtree),$(CURDIR))
# Suppress "Entering directory ..." unless we are changing the work directory.
MAKEFLAGS += --no-print-directory
else
need-sub-make := 1
endif

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

ifneq ($(abs_srctree),$(abs_objtree))
# Look for make include files relative to root of kernel src
#
# --included-dir is added for backward compatibility, but you should not rely on
# it. Please add $(srctree)/ prefix to include Makefiles in the source tree.
MAKEFLAGS += --include-dir=$(abs_srctree)
endif

ifneq ($(filter 3.%,$(MAKE_VERSION)),)
# 'MAKEFLAGS += -rR' does not immediately become effective for GNU Make 3.x
# We need to invoke sub-make to avoid implicit rules in the top Makefile.
need-sub-make := 1
# Cancel implicit rules for this Makefile.
$(this-makefile): ;
endif

export abs_srctree abs_objtree
export sub_make_done := 1

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) -C $(abs_objtree) -f $(abs_srctree)/Makefile $(MAKECMDGOALS)

endif # need-sub-make
endif # sub_make_done

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(need-sub-make),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

ifeq ($(abs_srctree),$(abs_objtree))
        # building in the source tree
        srctree := .
	building_out_of_srctree :=
else
        ifeq ($(abs_srctree)/,$(dir $(abs_objtree)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(abs_srctree)
        endif
	building_out_of_srctree := 1
endif

ifneq ($(KBUILD_ABS_SRCTREE),)
srctree := $(abs_srctree)
endif

objtree		:= .
VPATH		:= $(srctree)

export building_out_of_srctree srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
# Installation targets should not require compiler. Unfortunately, vdso_install
# is an exception where build artifacts may be updated. This must be fixed.
no-compiler-targets := $(no-dot-config-targets) install dtbs_install \
			headers_install modules_install kernelrelease image_name
no-sync-config-targets := $(no-dot-config-targets) %install kernelrelease \
			  image_name
single-targets := %.a %.i %.rsi %.ko %.lds %.ll %.lst %.mod %.o %.s %.symtypes %/

config-build	:=
mixed-build	:=
need-config	:= 1
need-compiler	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		need-config :=
	endif
endif

ifneq ($(filter $(no-compiler-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-compiler-targets), $(MAKECMDGOALS)),)
		need-compiler :=
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config :=
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter %config,$(MAKECMDGOALS)),)
		config-build := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
			mixed-build := 1
                endif
        endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
	single-build := 1
	ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
		mixed-build := 1
	endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).

=== drivers/net/dsa/qca/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_NET_DSA_AR9331)	+= ar9331.o
obj-$(CONFIG_NET_DSA_QCA8K)	+= qca8k.o
qca8k-y 			+= qca8k-common.o qca8k-8xxx.o

=== drivers/net/ethernet/sfc/siena/Makefile ===
# SPDX-License-Identifier: GPL-2.0
sfc-siena-y		+= farch.o siena.o \
			   efx.o efx_common.o efx_channels.o nic.o \
			   tx.o tx_common.o rx.o rx_common.o \
			   selftest.o ethtool.o ethtool_common.o ptp.o \
			   mcdi.o mcdi_port.o mcdi_port_common.o \
			   mcdi_mon.o
sfc-siena-$(CONFIG_SFC_SIENA_MTD)	+= mtd.o
sfc-siena-$(CONFIG_SFC_SIENA_SRIOV)	+= siena_sriov.o

obj-$(CONFIG_SFC_SIENA)	+= sfc-siena.o

=== debian/changelog ===
linux (6.1.139-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.138
    - ALSA: usb-audio: Add second USB ID for Jabra Evolve 65 headset
    - drm/nouveau: Fix WARN_ON in nouveau_fence_context_kill()
    - [arm64] i2c: imx-lpi2c: Fix clock count when probe defers
    - [arm64] errata: Add missing sentinels to Spectre-BHB MIDR arrays
    - [x86] perf/x86/intel: KVM: Mask PEBS_ENABLE loaded for guest with vCPU's
      value.
    - amd-xgbe: Fix to ensure dependent features are toggled with RX checksum
      offload
    - [arm64] mmc: renesas_sdhi: Fix error handling in renesas_sdhi_probe
    - wifi: brcm80211: fmac: Add error handling for brcmf_usb_dl_writeimage()
    - dm-integrity: fix a warning on invalid table line
    - dm: always update the array size in realloc_argv on success
    - [amd64] iommu/amd: Fix potential buffer overflow in parse_ivrs_acpihid
    - [amd64] iommu/vt-d: Apply quirk_iommu_igfx for 8086:0044 (QM57/QS57)
    - [x86] platform/x86/intel-uncore-freq: Fix missing uncore sysfs during CPU
      hotplug
    - ksmbd: fix use-after-free in kerberos authentication
    - cpufreq: Avoid using inconsistent policy->min and policy->max
    - cpufreq: Fix setting policy limits when frequency tables are used
    - tracing: Fix oob write in trace_seq_to_buffer()
    - xfs: fix error returns from xfs_bmapi_write
    - xfs: fix xfs_bmap_add_extent_delay_real for partial conversions
    - xfs: remove a racy if_bytes check in xfs_reflink_end_cow_extent
    - xfs: require XFS_SB_FEAT_INCOMPAT_LOG_XATTRS for attr log intent item
      recovery
    - xfs: check opcode and iovec count match in xlog_recover_attri_commit_pass2
    - xfs: validate recovered name buffers when recovering xattr items
    - xfs: revert commit 44af6c7e59b12
    - xfs: match lock mode in xfs_buffered_write_iomap_begin()
    - xfs: make the seq argument to xfs_bmapi_convert_delalloc() optional
    - xfs: make xfs_bmapi_convert_delalloc() to allocate the target offset
    - xfs: convert delayed extents to unwritten when zeroing post eof blocks
    - xfs: allow symlinks with short remote targets
    - xfs: make sure sb_fdblocks is non-negative
    - xfs: fix freeing speculative preallocations for preallocated files
    - xfs: allow unlinked symlinks and dirs with zero size
    - xfs: restrict when we try to align cow fork delalloc to cowextsz hints
    - [x86] KVM: x86: Load DR6 with guest value only before entering .vcpu_run()
      loop (CVE-2025-21839)
    - dm-bufio: don't schedule in atomic context
    - ASoC: soc-pcm: Fix hw_params() and DAPM widget sequence
    - wifi: plfxlc: Remove erroneous assert in plfxlc_mac_release
    - vxlan: vnifilter: Fix unlocked deletion of default FDB entry
    - net/mlx5: E-Switch, Initialize MAC Address for Default GID
    - net/mlx5: E-switch, Fix error handling for enabling roce
    - [arm64] net: mscc: ocelot: treat 802.1ad tagged traffic as 802.1Q-untagged
    - [arm64] net: mscc: ocelot: delete PVID VLAN when readding it as non-PVID
    - net_sched: drr: Fix double list add in class with netem as child qdisc
    - net_sched: hfsc: Fix a UAF vulnerability in class with netem as child
      qdisc
    - net_sched: ets: Fix double list add in class with netem as child qdisc
    - net_sched: qfq: Fix double list add in class with netem as child qdisc
    - ice: Check VF VSI Pointer Value in ice_vc_add_fdir_fltr()
    - net: dlink: Correct endianness handling of led_mode
    - [arm64] net: dsa: felix: fix broken taprio gate states after clock jump
    - net: ipv6: fix UDPv6 GSO segmentation with NAT
    - bnxt_en: Fix coredump logic to free allocated buffer
    - bnxt_en: Fix out-of-bound memcpy() during ethtool -w
    - bnxt_en: Fix ethtool -d byte order for 32-bit values
    - nvme-tcp: fix premature queue removal and I/O failover
    - net: lan743x: Fix memleak issue when GSO enabled
    - net: fec: ERR007885 Workaround for conventional TX
    - [arm64] net: hns3: store rx VLAN tag offload state for VF
    - [arm64] net: hns3: fix an interrupt residual problem
    - [arm64] net: hns3: fixed debugfs tm_qset size
    - [arm64] net: hns3: defer calling ptp_clock_register()
    - PCI: imx6: Skip controller_id generation logic for i.MX7D
    - sch_htb: make htb_qlen_notify() idempotent
    - sch_drr: make drr_qlen_notify() idempotent
    - sch_hfsc: make hfsc_qlen_notify() idempotent
    - sch_qfq: make qfq_qlen_notify() idempotent
    - sch_ets: make est_qlen_notify() idempotent
    - [x86] Revert "x86/kexec: Allocate PGD for x86_64 transition page tables
      separately"
    - [arm64] firmware: arm_scmi: Balance device refcount when destroying
      devices
    - net: phy: microchip: force IRQ polling mode for lan88xx
    - Revert "drm/meson: vclk: fix calculation of 59.94 fractional rates"
    - [arm64,armhf] irqchip/gic-v2m: Mark a few functions __init
    - [arm64,armhf] irqchip/gic-v2m: Prevent use after free of
      gicv2m_get_fwnode() (CVE-2025-37819)
    - dm: fix copying after src array boundaries
    - [arm64] iommu/arm-smmu-v3: Use the new rb tree helpers
    - [arm64] iommu/arm-smmu-v3: Fix iommu_device_probe bug due to duplicated
      stream ids
    - drm/amd/display: phase2 enable mst hdcp multiple displays
    - drm/amd/display: Clean up style problems in amdgpu_dm_hdcp.c
    - drm/amd/display: Change HDCP update sequence for DM
    - drm/amd/display: Add scoped mutexes for amdgpu_dm_dhcp
    - drm/amd/display: Fix slab-use-after-free in hdcp
    - ASoC: Use of_property_read_bool()
    - ASoC: soc-core: Stop using of_property_read_bool() for non-boolean
      properties
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.139
    - dm: add missing unlock on in dm_keyslot_evict()
    - [arm64] dts: imx8mm-verdin: Link reg_usdhc2_vqmmc to usdhc2
    - [arm64] can: mcan: m_can_class_unregister(): fix order of unregistration
      calls


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:native, python3-jinja2:native, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.102~) <!pkg.linux.nokernel !stage1>, kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, pahole <!pkg.linux.nokernel !stage1> | dwarves:native (>= 1.16~) <!pkg.linux.nokernel !stage1>, gcc-12 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-12-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-12-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-12-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-12-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-12-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-12-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-12-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-12-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-12-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>, python3-docutils [linux-any] <!nodoc !pkg.linux.notools !stage1>, libelf-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.notools !stage1>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtraceevent-dev (>= 1:1.5) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>, python3-docutils [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-36
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-doc-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-source
Architecture: all
Build-Profiles: <!pkg.linux.nometa !pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: linux-source-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel source (meta-package)
 This package depends on packages containing the sources of the latest
 Linux kernel.

Package: linux-headers-6.1.0-36-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-36
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-36, generally used for building out-of-tree kernel modules.
 To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-36-(flavour) package, matching the flavour of the
 kernel you intend the build for.

Package: linux-headers-6.1.0-36-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-36-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-36 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-36-alpha-generic [alpha], linux-image-6.1.0-36-alpha-smp [alpha], linux-image-6.1.0-36-amd64-unsigned [amd64], linux-image-6.1.0-36-cloud-amd64-unsigned [amd64], linux-image-6.1.0-36-rt-amd64-unsigned [amd64], linux-image-6.1.0-36-arm64-unsigned [arm64], linux-image-6.1.0-36-cloud-arm64-unsigned [arm64], linux-image-6.1.0-36-rt-arm64-unsigned [arm64], linux-image-6.1.0-36-marvell [armel], linux-image-6.1.0-36-rpi [armel], linux-image-6.1.0-36-armmp [armhf], linux-image-6.1.0-36-armmp-lpae [armhf], linux-image-6.1.0-36-rt-armmp [armhf], linux-image-6.1.0-36-parisc [hppa], linux-image-6.1.0-36-parisc64 [hppa], linux-image-6.1.0-36-686-unsigned [i386], linux-image-6.1.0-36-686-pae-unsigned [i386], linux-image-6.1.0-36-rt-686-pae-unsigned [i386], linux-image-6.1.0-36-itanium [ia64], linux-image-6.1.0-36-mckinley [ia64], linux-image-6.1.0-36-m68k [m68k], linux-image-6.1.0-36-4kc-malta [mips mipsel], linux-image-6.1.0-36-mips32r2eb [mips], linux-image-6.1.0-36-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-36-5kc-malta [mips64 mips64el], linux-image-6.1.0-36-mips64r2eb [mips64], linux-image-6.1.0-36-mips64r2el [mips64el], linux-image-6.1.0-36-loongson-3 [mips64el mipsel], linux-image-6.1.0-36-mips64r6eb [mips64r6], linux-image-6.1.0-36-mips64r6el [mips64r6el], linux-image-6.1.0-36-mips32r2el [mipsel], linux-image-6.1.0-36-mips32r6eb [mipsr6], linux-image-6.1.0-36-mips32r6el [mipsr6el], linux-image-6.1.0-36-powerpc [powerpc], linux-image-6.1.0-36-powerpc-smp [powerpc], linux-image-6.1.0-36-powerpc64 [powerpc ppc64], linux-image-6.1.0-36-powerpc64le [ppc64el], linux-image-6.1.0-36-riscv64 [riscv64], linux-image-6.1.0-36-s390x [s390x], linux-image-6.1.0-36-sh7751r [sh4], linux-image-6.1.0-36-sh7785lcr [sh4], linux-image-6.1.0-36-sparc64 [sparc64], linux-image-6.1.0-36-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-36-alpha-smp [alpha], linux-headers-6.1.0-36-cloud-amd64 [amd64], linux-headers-6.1.0-36-cloud-arm64 [arm64], linux-headers-6.1.0-36-armmp [armhf], linux-headers-6.1.0-36-parisc [hppa], linux-headers-6.1.0-36-686-pae [i386], linux-headers-6.1.0-36-itanium [ia64], linux-headers-6.1.0-36-m68k [m68k], linux-headers-6.1.0-36-powerpc64 [ppc64], linux-headers-6.1.0-36-powerpc64le [ppc64el], linux-headers-6.1.0-36-riscv64 [riscv64], linux-headers-6.1.0-36-s390x [s390x], linux-headers-6.1.0-36-sparc64-smp [sparc64]

## linux 6.1.140

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: GPL-2.0
 VERSION = 6
 PATCHLEVEL = 1
-SUBLEVEL = 139
+SUBLEVEL = 140
 EXTRAVERSION =
 NAME = Curry Ramen

=== arch/x86/coco/Makefile ===
# SPDX-License-Identifier: GPL-2.0
CFLAGS_REMOVE_core.o	= -pg
KASAN_SANITIZE_core.o	:= n
CFLAGS_core.o		+= -fno-stack-protector

obj-y += core.o

obj-$(CONFIG_INTEL_TDX_GUEST)	+= tdx/

=== drivers/of/unittest-data/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-y += testcases.dtb.o

obj-$(CONFIG_OF_OVERLAY) += overlay.dtb.o \
			    overlay_0.dtb.o \
			    overlay_1.dtb.o \
			    overlay_2.dtb.o \
			    overlay_3.dtb.o \
			    overlay_4.dtb.o \
			    overlay_5.dtb.o \
			    overlay_6.dtb.o \
			    overlay_7.dtb.o \
			    overlay_8.dtb.o \
			    overlay_9.dtb.o \
			    overlay_10.dtb.o \
			    overlay_11.dtb.o \
			    overlay_12.dtb.o \
			    overlay_13.dtb.o \
			    overlay_15.dtb.o \
			    overlay_16.dtb.o \
			    overlay_17.dtb.o \
			    overlay_18.dtb.o \
			    overlay_19.dtb.o \
			    overlay_20.dtb.o \
			    overlay_bad_add_dup_node.dtb.o \
			    overlay_bad_add_dup_prop.dtb.o \
			    overlay_bad_phandle.dtb.o \
			    overlay_bad_symbol.dtb.o \
			    overlay_base.dtb.o \
			    overlay_gpio_01.dtb.o \
			    overlay_gpio_02a.dtb.o \
			    overlay_gpio_02b.dtb.o \
			    overlay_gpio_03.dtb.o \
			    overlay_gpio_04a.dtb.o \
			    overlay_gpio_04b.dtb.o

# enable creation of __symbols__ node
DTC_FLAGS_overlay += -@
DTC_FLAGS_overlay_bad_phandle += -@
DTC_FLAGS_overlay_bad_symbol += -@
DTC_FLAGS_overlay_base += -@
DTC_FLAGS_testcases += -@

# suppress warnings about intentional errors
DTC_FLAGS_testcases += -Wno-interrupts_property \
	-Wno-node_name_vs_property_name \
	-Wno-interrupt_map

# Apply overlays statically with fdtoverlay.  This is a build time test that
# the overlays can be applied successfully by fdtoverlay.  This does not
# guarantee that the overlays can be applied successfully at run time by
# unittest, but it provides a bit of build time test coverage for those
# who do not execute unittest.
#
# The overlays are applied on top of static_base_1.dtb and static_base_2.dtb to
# create static_test_1.dtb and static_test_2.dtb.  If fdtoverlay detects an
# error than the kernel build will fail.  static_test_1.dtb and
# static_test_2.dtb are not consumed by unittest.
#
# Some unittest overlays deliberately contain errors that unittest checks for.
# These overlays will cause fdtoverlay to fail, and are thus not included
# in the static test:
#			  overlay_bad_add_dup_node.dtbo \
#			  overlay_bad_add_dup_prop.dtbo \
#			  overlay_bad_phandle.dtbo \
#			  overlay_bad_symbol.dtbo \

apply_static_overlay_1 := overlay_0.dtbo \
			  overlay_1.dtbo \
			  overlay_2.dtbo \
			  overlay_3.dtbo \
			  overlay_4.dtbo \
			  overlay_5.dtbo \
			  overlay_6.dtbo \
			  overlay_7.dtbo \
			  overlay_8.dtbo \
			  overlay_9.dtbo \
			  overlay_10.dtbo \
			  overlay_11.dtbo \
			  overlay_12.dtbo \
			  overlay_13.dtbo \
			  overlay_15.dtbo \
			  overlay_16.dtbo \
			  overlay_17.dtbo \
			  overlay_18.dtbo \
			  overlay_19.dtbo \
			  overlay_20.dtbo \
			  overlay_gpio_01.dtbo \
			  overlay_gpio_02a.dtbo \
			  overlay_gpio_02b.dtbo \
			  overlay_gpio_03.dtbo \
			  overlay_gpio_04a.dtbo \
			  overlay_gpio_04b.dtbo

apply_static_overlay_2 := overlay.dtbo

DTC_FLAGS_static_base_1 += -Wno-interrupts_property \
	-Wno-node_name_vs_property_name \
	-Wno-interrupt_map

static_test_1-dtbs := static_base_1.dtb $(apply_static_overlay_1)
static_test_2-dtbs := static_base_2.dtb $(apply_static_overlay_2)

dtb-$(CONFIG_OF_OVERLAY) += static_test_1.dtb static_test_2.dtb

=== debian/changelog ===
linux (6.1.140-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.140
    - binfmt: Fix whitespace issues
    - binfmt_elf: Support segments with 0 filesz and misaligned starts
    - binfmt_elf: elf_bss no longer used by load_elf_binary()
    - binfmt_elf: Leave a gap between .bss and brk
    - binfmt_elf: Calculate total_size earlier
    - binfmt_elf: Honor PT_LOAD alignment for static PIE
    - binfmt_elf: Move brk for static PIE even if ASLR disabled
    - [x86] platform/x86: asus-wmi: Fix wlan_ctrl_by_user detection
    - tracing: probes: Fix a possible race in trace_probe_log APIs
    - tpm: tis: Double the timeout B to 4s
    - iio: adc: ad7266: Fix potential timestamp alignment issue.
    - drm/amd: Stop evicting resources on APUs in suspend
    - drm/amdgpu: Fix the runtime resume failure issue
    - drm/amdgpu: trigger flr_work if reading pf2vf data failed
    - drm/amd: Add Suspend/Hibernate notification callback support
    - Revert "drm/amd: Stop evicting resources on APUs in suspend"
    - iio: adc: ad7768-1: Fix insufficient alignment of timestamp.
    - clocksource/i8253: Use raw_spinlock_irqsave() in
      clockevent_i8253_disable()
    - RDMA/rxe: Fix slab-use-after-free Read in rxe_queue_cleanup bug
    - HID: thrustmaster: fix memory leak in thrustmaster_interrupts()
    - HID: uclogic: Add NULL check in uclogic_input_configured()
    - nfs: handle failure of nfs_get_lock_context in unlock path
    - net_sched: Flush gso_skb list too during ->change()
    - net: mctp: Ensure keys maintain only one ref to corresponding dev
    - [arm64] net: cadence: macb: Fix a possible deadlock in macb_halt_tx.
    - nvme-pci: make nvme_pci_npages_prp() __always_inline
    - nvme-pci: acquire cq_poll_lock in nvme_poll_irqdisable
    - ALSA: sh: SND_AICA should depend on SH_DMA_API
    - net/mlx5e: Disable MACsec offload for uplink representor profile
    - qlcnic: fix memory leak in qlcnic_sriov_channel_cfg_cmd()
    - net/tls: fix kernel panic when alloc_page failed
    - NFSv4/pnfs: Reset the layout state after a layoutreturn
    - dmaengine: Revert "dmaengine: dmatest: Fix dmatest waiting less when
      interrupted"
    - btrfs: fix discard worker infinite loop after disabling discard
    - drm/amd/display: Correct the reply value when AUX write incomplete
    - drm/amd/display: Avoid flooding unnecessary info messages
    - ACPI: PPTT: Fix processor subtable walk
    - ALSA: es1968: Add error handling for snd_pcm_hw_constraint_pow2()
    - ALSA: usb-audio: Add sample rate quirk for Audioengine D1
    - ALSA: usb-audio: Add sample rate quirk for Microdia JP001 USB Camera
    - dma-buf: insert memory barrier before updating num_fences
    - hv_netvsc: Use vmbus_sendpacket_mpb_desc() to send VMBus messages
    - hv_netvsc: Preserve contiguous PFN grouping in the page buffer array
    - hv_netvsc: Remove rmsg_pgcnt
    - Drivers: hv: Allow vmbus_sendpacket_mpb_desc() to create multiple ranges
    - Drivers: hv: vmbus: Remove vmbus_sendpacket_pagebuffer()
    - ftrace: Fix preemption accounting for stacktrace trigger command
    - ftrace: Fix preemption accounting for stacktrace filter command
    - tracing: samples: Initialize trace_array_printk() with the correct
      function
    - [arm64,armhf] phy: Fix error handling in tegra_xusb_port_init
    - [arm64] phy: renesas: rcar-gen3-usb2: Fix role detection on unbind/bind
    - [arm64] phy: renesas: rcar-gen3-usb2: Set timing registers only once
    - scsi: sd_zbc: block: Respect bio vector limits for REPORT ZONES buffer
    - smb: client: fix memory leak during error handling for POSIX mkdir
    - wifi: mt76: disable napi on driver removal
    - net: qede: Initialize qede_ll_ops with designated initializer
    - [arm64] dmaengine: ti: k3-udma: Add missing locking
    - [arm64] dmaengine: ti: k3-udma: Use cap_mask directly from dma_device
      structure instead of a local copy
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_wqs
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_engines
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_groups
    - [amd64] dmaengine: idxd: Add missing cleanup for early error out in
      idxd_setup_internals
    - [amd64] dmaengine: idxd: Add missing cleanups in cleanup internals
    - [amd64] dmaengine: idxd: Add missing idxd cleanup to fix memory leak in
      remove call
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_alloc
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_pci_probe
    - usb: typec: ucsi: displayport: Fix deadlock (CVE-2025-37967)
    - usb: typec: altmodes/displayport: create sysfs nodes as driver's default
      device attribute group (CVE-2024-35790)
    - usb: typec: fix potential array underflow in ucsi_ccg_sync_control()
      (CVE-2024-53203)
    - usb: typec: fix pm usage counter imbalance in ucsi_ccg_sync_control()
    - mm/vmscan: fix a bug calling wakeup_kswapd() with a wrong zone index
    - [arm64] bpf, arm64: Fix trampoline for BPF_TRAMP_F_CALL_ORIG
      (CVE-2024-43840)
    - [arm64] bpf, arm64: Fix address emission with tag-based KASAN enabled
    - hwpoison, memory_hotplug: lock folio before unmap hwpoisoned folio
      (CVE-2025-21931)
    - sctp: add mutual exclusion in proc_sctp_do_udp_port() (CVE-2025-22062)
    - btrfs: don't BUG_ON() when 0 reference count at btrfs_lookup_extent_info()
    - netfilter: nf_tables: pass nft_chain to destroy function, not nft_ctx
    - netfilter: nf_tables: wait for rcu grace period on net_device removal
    - netfilter: nf_tables: do not defer rule destruction via call_rcu
    - [arm64] sme: Always exit sme_alloc() early with existing storage
    - [x86] platform/x86/amd/pmc: Only disable IRQ1 wakeup where i8042 actually
      enabled it (CVE-2025-21645)


=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-6.1.0-36
+Package: linux-support-6.1.0-37
 Architecture: all
 Section: devel
 Build-Profiles: <!stage1>
@@ -68,24 +68,24 @@
  This package depends on packages containing the sources of the latest
  Linux kernel.
 
-Package: linux-headers-6.1.0-36-common
+Package: linux-headers-6.1.0-37-common
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-36
+Description: Common header files for Linux 6.1.0-37
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-36, generally used for building out-of-tree kernel modules.
+ version 6.1.0-37, generally used for building out-of-tree kernel modules.
  To obtain a complete set of headers you also need to install the
- linux-headers-6.1.0-36-(flavour) package, matching the flavour of the
+ linux-headers-6.1.0-37-(flavour) package, matching the flavour of the
  kernel you intend the build for.
 
-Package: linux-headers-6.1.0-36-common-rt
+Package: linux-headers-6.1.0-37-common-rt
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-36-rt
+Description: Common header files for Linux 6.1.0-37-rt
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-36 with the PREEMPT_RT featureset, generally used for
+ version 6.1.0-37 with the PREEMPT_RT featureset, generally used for
  building out-of-tree kernel modules.  To obtain a complete set of headers

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-37-alpha-generic [alpha], linux-image-6.1.0-37-alpha-smp [alpha], linux-image-6.1.0-37-amd64-unsigned [amd64], linux-image-6.1.0-37-cloud-amd64-unsigned [amd64], linux-image-6.1.0-37-rt-amd64-unsigned [amd64], linux-image-6.1.0-37-arm64-unsigned [arm64], linux-image-6.1.0-37-cloud-arm64-unsigned [arm64], linux-image-6.1.0-37-rt-arm64-unsigned [arm64], linux-image-6.1.0-37-marvell [armel], linux-image-6.1.0-37-rpi [armel], linux-image-6.1.0-37-armmp [armhf], linux-image-6.1.0-37-armmp-lpae [armhf], linux-image-6.1.0-37-rt-armmp [armhf], linux-image-6.1.0-37-parisc [hppa], linux-image-6.1.0-37-parisc64 [hppa], linux-image-6.1.0-37-686-unsigned [i386], linux-image-6.1.0-37-686-pae-unsigned [i386], linux-image-6.1.0-37-rt-686-pae-unsigned [i386], linux-image-6.1.0-37-itanium [ia64], linux-image-6.1.0-37-mckinley [ia64], linux-image-6.1.0-37-m68k [m68k], linux-image-6.1.0-37-4kc-malta [mips mipsel], linux-image-6.1.0-37-mips32r2eb [mips], linux-image-6.1.0-37-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-37-5kc-malta [mips64 mips64el], linux-image-6.1.0-37-mips64r2eb [mips64], linux-image-6.1.0-37-mips64r2el [mips64el], linux-image-6.1.0-37-loongson-3 [mips64el mipsel], linux-image-6.1.0-37-mips64r6eb [mips64r6], linux-image-6.1.0-37-mips64r6el [mips64r6el], linux-image-6.1.0-37-mips32r2el [mipsel], linux-image-6.1.0-37-mips32r6eb [mipsr6], linux-image-6.1.0-37-mips32r6el [mipsr6el], linux-image-6.1.0-37-powerpc [powerpc], linux-image-6.1.0-37-powerpc-smp [powerpc], linux-image-6.1.0-37-powerpc64 [powerpc ppc64], linux-image-6.1.0-37-powerpc64le [ppc64el], linux-image-6.1.0-37-riscv64 [riscv64], linux-image-6.1.0-37-s390x [s390x], linux-image-6.1.0-37-sh7751r [sh4], linux-image-6.1.0-37-sh7785lcr [sh4], linux-image-6.1.0-37-sparc64 [sparc64], linux-image-6.1.0-37-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-37-alpha-smp [alpha], linux-headers-6.1.0-37-cloud-amd64 [amd64], linux-headers-6.1.0-37-cloud-arm64 [arm64], linux-headers-6.1.0-37-armmp [armhf], linux-headers-6.1.0-37-parisc [hppa], linux-headers-6.1.0-37-686-pae [i386], linux-headers-6.1.0-37-itanium [ia64], linux-headers-6.1.0-37-m68k [m68k], linux-headers-6.1.0-37-powerpc64 [ppc64], linux-headers-6.1.0-37-powerpc64le [ppc64el], linux-headers-6.1.0-37-riscv64 [riscv64], linux-headers-6.1.0-37-s390x [s390x], linux-headers-6.1.0-37-sparc64-smp [sparc64]
